﻿using System;
using System.Drawing;
using System.Windows.Forms;
using Steema.TeeChart;
using Steema.TeeChart.Styles;
using System.Collections.Generic;

namespace WindowsFormsApplication2
{
    public partial class Form1 : Form
    {
        TChart tChart1;

        public Form1()
        {
            InitializeComponent();
            CreateChart();
            InitializeChart();
        }

        Bar series1;
        Points series2;
        Area areaSeries;
        Area areaSeries1;
        Error errorSeries;

        Steema.TeeChart.Drawing.PointDouble drawAt;

        private void InitializeChart()
        {
            tChart1.Aspect.View3D = false;
            
            errorSeries = new Error(tChart1.Chart);

            /* Uncomment errorSeries.Add(-33, 0.3, 34); and run error series is visible
             * Uncomment errorSeries.Add(-34, 0.3, 35); and run error series is not visible
             */

            // VISIBLE IF UNCOMMENTED 
            // errorSeries.Add(-33, 0.3, 34);

            // NOT VISIBLE IF UNCOMMENTED 
            errorSeries.Add(-34, 0.3, 35);
           
            
            errorSeries.ErrorWidth = 10;
            errorSeries.ErrorStyle = ErrorStyles.LeftRight;
            errorSeries.ErrorPen.Width = 5;

            tChart1.Axes.Left.Automatic = false;
            tChart1.Axes.Left.AutomaticMaximum = false;
            tChart1.Axes.Left.AutomaticMinimum = false;

            tChart1.Axes.Left.Maximum = 0;
            tChart1.Axes.Left.Minimum = 0.74;

            tChart1.Axes.Bottom.Automatic = false;
            tChart1.Axes.Bottom.AutomaticMaximum = false;
            tChart1.Axes.Bottom.AutomaticMinimum = false;

            tChart1.Axes.Bottom.Maximum = 0.677;
            tChart1.Axes.Bottom.Minimum = 1.01;

            //tChart1.GetAxisLabel += tChart1_GetAxisLabel;
        }

        void tChart1_GetAxisLabel(object sender, GetAxisLabelEventArgs e)
        {
            double temp = Convert.ToDouble(e.LabelText);

            if (sender.Equals(tChart1.Axes.Left))
            {
                temp += drawAt.Y;
            }
            else if (sender.Equals(tChart1.Axes.Bottom))
            {
                temp += drawAt.X;
            }

            e.LabelText = temp.ToString();
        }

        private void CreateChart()
        {
            tChart1 = new TChart();
            tChart1.Dock = DockStyle.Fill;
            tblPanel.Controls.Add(tChart1, 0, 1);
            tblPanel.Dock = DockStyle.Fill;
        }

        private void btnModify_Click_1(object sender, EventArgs e)
        {
            tChart1.ShowEditor();
        }
    }

    public class ColorConst
    {
        public static readonly Color First = Color.FromArgb(219, 219, 219);
        public static readonly Color Second = Color.FromArgb(222, 216, 218);
        public static readonly Color Third = Color.FromArgb(184, 186, 216);
        public static readonly Color Forth = Color.FromArgb(209, 185, 189);
        public static readonly Color Fifth = Color.FromArgb(142, 149, 189);
        public static readonly Color Sixth = Color.FromArgb(201, 147, 151);
        public static readonly Color Seventh = Color.FromArgb(90, 102, 166);
        public static readonly Color Eight = Color.FromArgb(174, 82, 98);
        public static readonly Color Nineth = Color.FromArgb(22, 45, 160);
        public static readonly Color Tenth = Color.FromArgb(155, 0, 69);

        public static readonly List<Color> List = new List<Color>() { First, Second, Third, Forth, Fifth, Sixth, Seventh, Eight, Nineth, Tenth };
    }
}